%define fontdir %{_datadir}/fonts/terminus
%define consolefontdir %{_prefix}/lib/kbd/consolefonts
%define consoletransdir %{_prefix}/lib/kbd/consoletrans

Summary:        Fixed width font especially for long hacking sessions
Name:           terminus-font
Version:        4.40
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Fonts/X11 bitmap
URL:            http://terminus-font.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:	mkfontdir
BuildRequires:	bdftopcf
BuildRequires:	fontconfig
BuildArch:      noarch

%description
The Terminus font is a complete set of fixed-size fonts designed
especially for the usage in terms and the console.

%prep
%setup -q

chmod 755 configure

%build
./configure \
	--prefix=%{_prefix} \
	--psfdir=%{consolefontdir} \
	--x11dir=%{fontdir} \
	--unidir=%{consoletransdir}

%make_build \
	psf \
	pcf \
	txt

%install
%make_install \
	install-psf \
	install-pcf \
	install-uni \
	fontdir

sed -e 's/.pcf.gz//' %{buildroot}%{fontdir}/fonts.dir|%__grep terminus > %{buildroot}%{fontdir}/fonts.alias

mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{fontdir} %{buildroot}%{_sysconfdir}/X11/fontpath.d/terminus:unscaled:pri=50

mkdir -p %{buildroot}%{_datadir}/fontconfig/conf.{d,avail}
install -Dpm644 75-yes-terminus.conf %{buildroot}%{_datadir}/fontconfig/conf.avail/75-yes-terminus.conf
ln -s %{_datadir}/fontconfig/conf.avail/75-yes-terminus.conf \
	%{buildroot}%{_datadir}/fontconfig/conf.d/75-yes-terminus.conf

%files
%doc README
%{_datadir}/fontconfig/conf.*/75-yes-terminus.conf
%{_sysconfdir}/X11/fontpath.d/terminus:unscaled:pri=50
%{consolefontdir}/*.psf.gz
%{consoletransdir}/*
%{fontdir}


%changelog
* Sat Jan 07 2017 wally <wally> 4.40-1.mga6
+ Revision: 1080532
- new version 4.40

* Fri Feb 05 2016 umeabot <umeabot> 4.39-5.mga6
+ Revision: 937466
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 4.39-4.mga6
+ Revision: 937019
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.39-3.mga5
+ Revision: 746148
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.39-2.mga5
+ Revision: 689834
- Mageia 5 Mass Rebuild

* Sat Aug 02 2014 wally <wally> 4.39-1.mga5
+ Revision: 659232
- new version 4.39

* Fri Oct 18 2013 umeabot <umeabot> 4.38-3.mga4
+ Revision: 519596
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.38-2.mga3
+ Revision: 384406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 14 2012 wally <wally> 4.38-1.mga3
+ Revision: 270780
- new version 4.38
- clean .spec

* Tue Jul 26 2011 wally <wally> 4.36-1.mga2
+ Revision: 129800
- new version 4.36

* Tue Jun 07 2011 wally <wally> 4.35-1.mga2
+ Revision: 101507
- new version 4.35

* Sat Feb 19 2011 wally <wally> 4.32-2.mga1
+ Revision: 54337
- remove buildroot definition
- do minor .spec cleanup
- imported package terminus-font

